__author__ = "Morgane Bruno"
__licence__ = "MIT"

# --------------------------------- Functions ---------------------------------#
### ecotag - taxonomic assignement
def get_custom_assignment_input(wildcards):
    with open(config['fichiers']['demultiplex'], 'r') as f:
        for line in f:
            line_splitted = line.strip('\n').split(';')
            projet = line_splitted[3]
            marker = line_splitted[4]
            run = line_splitted[1]
            pmr = f'{projet}/{marker}/{run}'
            if marker in config['assign_customtax']['bdr']:
                if pmr in {wildcards.demultiplex}:
                    return  f'results/14_dereplicate_runs/{pmr}.uniq.fasta'

### ngsfilter
def get_one_pmr(wildcards):
    with open(config['fichiers']['demultiplex'], 'r') as f:
        for line in f:
            line_splitted = line.strip('\n').split(';')
            projet = line_splitted[3]
            marker = line_splitted[4]
            run = line_splitted[1]
            if f'{projet}/{marker}/{run}' in {wildcards.demultiplex}:
                return  f'results/04_demultiplex_dat/{projet}_{marker}_{run}.tsv'

def get_input_ngsfilter(wildcards):
    with open(config['fichiers']['demultiplex']) as f:
        demulti = str({wildcards.demultiplex})
        w_run =  demulti.split("/")[2]
        for line in f:
            line_splitted = line.strip('\n').split(';')
            run = line_splitted[1]
            if run in w_run:
                return f'results/03_remove_unaligned/{run}.ali.fastq'

### samples_to_runs

def get_internal_samples(wildcards):
    files = []
    with open(config['fichiers']['demultiplex'], 'r') as f:
        for line in f:
            line_splitted = line.strip('\n').split(';')
            projet = line_splitted[3]
            marker = line_splitted[4]
            run = line_splitted[1]
            sample = line_splitted[2]
            pmr = f'{projet}/{marker}/{run}'
            if pmr in {wildcards.demultiplex}:
                files.append(f'results/12_rm_internal_samples/{pmr}/{sample}.c.r.l.u.fasta')
    return files

### Targets

def get_targets():
    files = []
    with open(config['fichiers']['demultiplex'], 'r') as f:
        for line in f:
            line_splitted = line.strip('\n').split(';')
            projet = line_splitted[3]
            marker = line_splitted[4]
            run = line_splitted[1]
            if projet not in config['blacklist']['projet'] and run not in config['blacklist']['run']:
                files.append(f'results/{projet}/{marker}/{run}_ncbi_ecotag.csv')
                if config['custom_baseref'] and marker in config['assign_customtax']['bdr']:
                    files.append(f'results/{projet}/{marker}/{run}_custom_ecotag.csv')
    return files
