__author__ = "Morgane Bruno"
__licence__ = "MIT"

## Split the input file in a set of subfiles according to the values of attribute 'sample'
rule demulti__obisplit:
    input:
        rules.demulti__ngsfilter.output.assign
    output:
        temp('results/07_split_fastq_by_sample/{demultiplex}/{sample}.fasta')
    log:
        'logs/07_split_fastq_by_sample/{demultiplex}/{sample}_obisplit.log'
    conda:
        '../envs/obitools_envs.yaml'
    container:
        config['singularity']['obitools']
    message:
        'Split the input file in a set of subfiles: {wildcards.demultiplex}'
    resources:
        bigfile = 1
    shell:
        '''
        mkdir -p $(dirname {output})
        [ -s {input} ] && obisplit -p "$(dirname {output})/" -t sample --fasta {input} &> {log} || touch {output}
        [ -f {output} ] || touch {output}
        '''
