__author__ = "Morgane Bruno"
__licence__ = "MIT"

## dereplicate reads into uniq sequences
rule dereplicate__obiuniq:
    input:
        'results/07_split_fastq_by_sample/{demultiplex}/{sample}.fasta'
    output:
        'results/09_dereplicate_samples/{demultiplex}/{sample}.uniq.fasta'
    log:
        'logs/09_dereplicate_samples/{demultiplex}/{sample}_obiuniq.log'
    conda:
        '../envs/obitools_envs.yaml'
    container:
        config['singularity']['obitools']
    message:
        'dereplicate reads into uniq sequences: {wildcards.demultiplex}/{wildcards.sample}'
    shell:
        '''
        mkdir -p $(dirname {output})
        [ -s {input} ] && obiuniq -m sample {input} > {output} 2> {log} || touch {output}
        '''
